osmium::builder Namespace Reference

Classes for building OSM objects and other items in buffers. More...

## Namespaces

| attr

## Classes

class | AreaBuilder
class | Builder
class | ChangesetDiscussionBuilder
class | NodeRefListBuilder
class | ObjectBuilder
class | OSMObjectBuilder
class | RelationMemberListBuilder
class | TagListBuilder
class | WayBuilder

## Typedefs

typedef NodeRefListBuilder< WayNodeList > | WayNodeListBuilder
typedef NodeRefListBuilder< OuterRing > | OuterRingBuilder
typedef NodeRefListBuilder< InnerRing > | InnerRingBuilder
typedef OSMObjectBuilder< osmium::Node > | NodeBuilder
typedef OSMObjectBuilder< osmium::Relation > | RelationBuilder
typedef ObjectBuilder< osmium::Changeset > | ChangesetBuilder

## Functions

constexpr | _visible (bool value=true) noexcept
OSMIUM_DEPRECATED const osmium::WayNodeList & | build_way_node_list (osmium::memory::Buffer &buffer, const std::initializer_list< osmium::NodeRef > &nodes)
const osmium::TagList & | build_tag_list (osmium::memory::Buffer &buffer, const std::initializer_list< std::pair< const char *, const char * >> &tags)
const osmium::TagList & | build_tag_list_from_map (osmium::memory::Buffer &buffer, const std::map< const char *, const char * > &tags)
const osmium::TagList & | build_tag_list_from_func (osmium::memory::Buffer &buffer, std::function< void(osmium::builder::TagListBuilder &)> func)

## Detailed Description

Classes for building OSM objects and other items in buffers.

## Typedef Documentation

typedef ObjectBuilder<osmium::Changeset> osmium::builder::ChangesetBuilder

typedef NodeRefListBuilder<InnerRing> osmium::builder::InnerRingBuilder

typedef OSMObjectBuilder<osmium::Node> osmium::builder::NodeBuilder

typedef NodeRefListBuilder<OuterRing> osmium::builder::OuterRingBuilder

typedef OSMObjectBuilder<osmium::Relation> osmium::builder::RelationBuilder

typedef NodeRefListBuilder<WayNodeList> osmium::builder::WayNodeListBuilder

## Function Documentation

constexpr osmium::builder::_visible | ( | bool | value = `true` | ) |

explicit noexcept

const osmium::TagList& osmium::builder::build_tag_list | ( | osmium::memory::Buffer & | buffer,
|  | const std::initializer_list< std::pair< const char *, const char * >> & | tags
| ) |  |

inline

Deprecated:
  Use osmium::builder::add_tag_list() instead.

const osmium::TagList& osmium::builder::build_tag_list_from_func | ( | osmium::memory::Buffer & | buffer,
|  | std::function< void(osmium::builder::TagListBuilder &)> | func
| ) |  |

inline

Deprecated:
  Use osmium::builder::add_tag_list() instead.

const osmium::TagList& osmium::builder::build_tag_list_from_map | ( | osmium::memory::Buffer & | buffer,
|  | const std::map< const char *, const char * > & | tags
| ) |  |

inline

Deprecated:
  Use osmium::builder::add_tag_list() instead.

OSMIUM_DEPRECATED const osmium::WayNodeList& osmium::builder::build_way_node_list | ( | osmium::memory::Buffer & | buffer,
|  | const std::initializer_list< osmium::NodeRef > & | nodes
| ) |  |

inline

Deprecated:
  Use osmium::builder::add_way_node_list() instead.